---
title: '-webkit-mask-position-x'
slug: Web/CSS/-webkit-mask-position-x
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <code>-webkit-mask-position-x</code> CSS property sets the initial horizontal position of a mask image.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
-webkit-mask-position-x: left;
-webkit-mask-position-x: center;
-webkit-mask-position-x: right;

/* &lt;percentage&gt; values */
-webkit-mask-position-x: 100%;
-webkit-mask-position-x: -50%;

/* &lt;length&gt; values */
-webkit-mask-position-x: 50px;
-webkit-mask-position-x: -1cm;

/* Multiple values values */
-webkit-mask-position-x: 50px, 25%, -3em;

/* Global values */
-webkit-mask-position-x: inherit;
-webkit-mask-position-x: initial;
-webkit-mask-position-x: unset;
</pre>

<p>{{cssinfo}}</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>A length indicating the position of the left edge of the image relative to the box's left padding edge. Percentages are calculated against the horizontal dimension of the box padding area. That means, a value of <code>0%</code> means the left edge of the image is aligned with the box's left padding edge and a value of <code>100%</code> means the right edge of the image is aligned with the box's right padding edge.</dd>
 <dt><code><strong>left</strong></code></dt>
 <dd>Equivalent to <code>0%</code>.</dd>
 <dt><code><strong>center</strong></code></dt>
 <dd>Equivalent to <code>50%</code>.</dd>
 <dt><code><strong>right</strong></code></dt>
 <dd>Equivalent to <code>100%</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Horizontally_positioning_a_mask_image">Horizontally positioning a mask image</h3>

<pre class="brush:css notranslate">.exampleOne {
  -webkit-mask-image: url(mask.png);
  -webkit-mask-position-x: right;
}

.exampleTwo {
  -webkit-mask-image: url(mask.png);
  -webkit-mask-position-x: 25%;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-mask-position-x")}}</p>

<h2 id="See_also">See also</h2>

<p>{{cssxref("-webkit-mask-position")}}, {{cssxref("-webkit-mask-position-y")}}, {{cssxref("-webkit-mask-origin")}}, {{cssxref("-webkit-mask-attachment")}}</p>
